<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class TemarioActividadAprendizaje extends Model
{
    protected $table = "ins_temactapre";
    protected $primaryKey = 'cve_temactapre';
    protected $fillable = ['cve_tem', 'cve_actapre'];

    //Función - Es la relacion entre TemarioActividadAprendizaje y temario
    public function temario()
    {
        return $this->belongsTo('App\Temario', 'cve_tem', 'cve_tem');
    }
    //Función - Es la relacion entre TemarioActividadAprendizaje y actividadAprendizaje
    public function ActividadAprendizaje()
    {
        return $this->belongsTo('App\ActividadAprendizaje', 'cve_actapre', 'cve_actapre');
    }
}
